### Constructor

# Shumate Scale new

#### Declaration [src]

    ShumateScale*
    shumate_scale_new (
      ShumateViewport* viewport
    )

#### Description [src]

Creates an instance of `ShumateScale`.

#### Parameters

`viewport`

  Type: `ShumateViewport`

  A `ShumateViewport`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `ShumateScale`

A new `ShumateScale`.

The data is owned by the called function.